#Name: Laraib Shaikh

#Student Number: 1205628

#Lab Section: L09

#Date: november 2, 2012



#Version Number: 08



#define the function to make the center row

def makeCenteredRow(w,c):

    #creating a list

    w=[" 1","3 3","5    5","3 3"," 1"]



    #to implement the function

    for i in range(len(w)):

        w[i]=(w[i]*3+"1")

        c=str(i)

    return w,c



#defining the second function to make a row of numbers

def makeRow(a,b,c):

    #creating lists

    a=[" 1"]

    b=["3 3"]

    c=["5   5"]

    x=0

    #to implement the fuction and get a list of variables a,b,c

    for i in range (len(x)):

        x= (str(a*c)+(b*c))

        return x



#defining the third function to draw a diamond of the given numbers              

def makeDiamond(w,c):

    #to make sure that the number is greater or equal to 3

    n=1

    for i in range (3*n):

        y=x+(w,c)

        return y



"""

#when implementing the makeCenteredRow, c should proceed at least 2 spaces because that way the diamond shape would me more prominent.

#test cases:

1. imput: (-3,-5)  result: ([' 1 1 1', '3 33 33 3', '5    55    55    5', '3 33 33 3', ' 1 1 1'], '4')

2. imput: (3,5)    result: ([' 1 1 1', '3 33 33 3', '5    55    55    5', '3 33 33 3', ' 1 1 1'], '4')

3. imput: (0,0)    result: ([' 1 1 1', '3 33 33 3', '5    55    55    5', '3 33 33 3', ' 1 1 1'], '4')





"""    



    

